const prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("rsseditor.");
const prefBools = ["smallIcons", "guidReadOnly", "itemPubDateAuto", "lastBuildDateAuto", "UTCTime"];

function getPrefs()
{
	for (var i in prefBools) document.getElementById(prefBools[i]).checked = prefs.getBoolPref(prefBools[i]);
}

function setPrefs()
{
	for (var i in prefBools) prefs.setBoolPref(prefBools[i], document.getElementById(prefBools[i]).checked);
}

function init()
{
	buttonApply = document.documentElement.getButton("help");
	buttonApply.label = "Apply";
	buttonApply.accessKey = "A";

	window.sizeToContent();
	window.moveToAlertPosition();

	getPrefs();
}